<?php

namespace Drupal\Tests\wp_publish\Unit;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Logger\LoggerChannelFactoryInterface;
use Drupal\Tests\UnitTestCase;
use Drupal\wp_publish\Service\WpPublishService;
use GuzzleHttp\ClientInterface;

/**
 * Tests for WpPublishService.
 *
 * @group wp_publish
 */
class WpPublishServiceTest extends UnitTestCase {

  /**
   * Tests the publishNode method.
   */
  public function testPublishNode() {
    $config_factory = $this->prophesize(ConfigFactoryInterface::class);
    $http_client = $this->prophesize(ClientInterface::class);
    $logger_factory = $this->prophesize(LoggerChannelFactoryInterface::class);

    $service = new WpPublishService(
      $config_factory->reveal(),
      $http_client->reveal(),
      $logger_factory->reveal()
    );

    // Add test logic for API calls.
  }
}
